Name:          tapir-edm
# Replaced by makefile when building srpm
Version:       0.0.0^20250625.b6d4a4e
Release:       1%{?dist}
Group:         dnstapir/edge
Summary:       DNSTAPIR EDGE Policy Processor
License:       BSD
URL:           https://www.github.com/dnstapir/edm
Source0:       %{name}.tar.gz
Source1:       tapir-edm.service
Source2:       well-known-domains.dawg
Source3:       ignored.dawg
Source4:       ignored-ips
BuildRequires: git
BuildRequires: golang

%description
DNSTAPIR EDGE DNSTAP Minimiser

%{!?_unitdir: %define _unitdir /usr/lib/systemd/system/}
%{!?_sysusersdir: %define _sysusersdir /usr/lib/sysusers.d/}
%{!?_localstatedir: %define _localstatedir /var/}

%prep
%setup -n %{name}

%build
make build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_sysconfdir}/dnstapir/edm
mkdir -p %{buildroot}%{_localstatedir}/edm/pebble

install -p -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}
install -m 0664 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/dnstapir/edm/well-known-domains.dawg
install -m 0664 -D %{SOURCE3} %{buildroot}%{_sysconfdir}/dnstapir/edm/ignored.dawg
install -m 0664 -D %{SOURCE3} %{buildroot}%{_sysconfdir}/dnstapir/edm/ignored-ips

%files
%license LICENSE

%attr(0770,tapir-edm,dnstapir) %dir %{_sysconfdir}/dnstapir/edm
%attr(0770,tapir-edm,dnstapir) %dir %{_localstatedir}/edm
%attr(0770,tapir-edm,dnstapir) %dir %{_localstatedir}/edm/pebble

%attr(0755,tapir-edm,dnstapir) %{_bindir}/%{name}
%attr(0644,tapir-edm,dnstapir) %{_unitdir}/tapir-edm.service
%attr(0664,tapir-edm,dnstapir) %{_sysconfdir}/dnstapir/edm/well-known-domains.dawg
%attr(0664,tapir-edm,dnstapir) %{_sysconfdir}/dnstapir/edm/ignored.dawg
%attr(0664,tapir-edm,dnstapir) %{_sysconfdir}/dnstapir/edm/ignored-ips
%attr(0660,tapir-edm,dnstapir) %ghost %{_sysconfdir}/dnstapir/tapir-edm.toml

%pre
/usr/bin/getent group dnstapir || /usr/sbin/groupadd -r dnstapir
/usr/bin/getent passwd tapir-edm || /usr/sbin/useradd -r -d /etc/dnstapir -G dnstapir -s /sbin/nologin tapir-edm

%post

%preun

%postun

%check

%changelog
